using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace C1_Demo
{
    public partial class DemoHyperpanel : UserControl
    {
        #region Object Model

        public Orientation Orientation
        {
            get
            {
                return hyperPanel.Orientation;
            }
            set
            {
                hyperPanel.Orientation = value;
            }
        }

        public double Distribution
        {
            get
            {
                return hyperPanel.Distribution;
            }
            set
            {
                hyperPanel.Distribution = value;
            }
        }

        public bool ApplyOpacity
        {
            get
            {
                return hyperPanel.ApplyOpacity;
            }
            set
            {
                hyperPanel.ApplyOpacity = value;
            }
        }

        public double MinElementScale
        {
            get
            {
                return hyperPanel.MinElementScale;
            }
            set
            {
                hyperPanel.MinElementScale = value;
            }
        }
          

        public new HorizontalAlignment HorizontalContentAlignment
        {
            get
            {
                return hyperPanel.HorizontalContentAlignment;
            }
            set
            {
                hyperPanel.HorizontalContentAlignment = value;
            }
        }
  
        public VerticalAlignment VerticalContentAlignment
        {
            get
            {
                return hyperPanel.VerticalContentAlignment;
            }
            set
            {
                hyperPanel.VerticalContentAlignment = value;
            }
        }

        #endregion

        public DemoHyperpanel()
        {
            InitializeComponent();
        }
    }
}
